### Name: enterQtable
### Title: Enter initial values for the IPS algorithm and declare cells to
###   be zero by structure
### Aliases: enterQtable enterQlist
### Keywords: methods multivariate

### ** Examples
 
library(CoCo);

without <- makeCoCo(title = "Without structural zero");
optionsCoCo(digits.table = 6, decimals.table.probabilities = 2, 
            decimals.table.expected = 1, decimals.table.residual = 1);
enterNames("smv", rep(2, 3));
n <- c(11, 2209, 0, 111, 48, 239, 72, 2074);
enterTable(n);
A.1 <- make.model("*");
A.2 <- make.model("mv,vs");
showTest();
endCoCo();

with <- makeCoCo(title = "With structural zero");
optionsCoCo(digits.table = 6, decimals.table.probabilities = 2, 
            decimals.table.expected = 1, decimals.table.residual = 1);
enterNames("smv", rep(2, 3));
n <- c(11, 2209, -1, 111, 48, 239, 72, 2074);
enterTable(n);
returnTable("zero");
B.1 <- make.model("*");
B.2 <- make.model("mv,vs");
showTest();
endCoCo();



