### Name: returnFix
### Title: Return the edges fixed in model selection
### Aliases: returnFix
### Keywords: methods multivariate

### ** Examples

library(CoCo);
data(Reinis);
CoCoObject <- makeCoCo();
enterTable(Reinis, object = CoCoObject);

# Enter the saturated model:    
enterModel("*", object = CoCoObject);

# Set a fixing of edges in "backward":

backward(recursive = TRUE, headlong = TRUE, coherent = TRUE, follow = TRUE,
         fix.edges = "[[AB][EF]]", object = CoCoObject);

returnFix(object = CoCoObject);

ehForceFix("DE", fix = "in", object = CoCoObject)
ehForceFix("EF", fix = "out", object = CoCoObject)

returnFix("edges", object = CoCoObject);
returnFix("in",    object = CoCoObject);
returnFix("out",   object = CoCoObject);

eh(object = CoCoObject);

returnFix("edges", object = CoCoObject);
returnFix("in",    object = CoCoObject);
returnFix("out",   object = CoCoObject);

endCoCo(object = CoCoObject);



