### Name: returnJunctionTree
### Title: Return the junction tree
### Aliases: returnJunctionTree
### Keywords: methods multivariate

### ** Examples


  library(CoCoCg);
  data(Rats);
  CoCoObject <- makeCoCoCg();
  enterDataFrame(Rats, object = CoCoObject);
  fullModel <- makeModel(enterModel("*", object = CoCoObject));

  enterModel("[[a][b]] / [[ay][ax][bx]] / [[xy]]", object = CoCoObject);

  showModel("all", object = CoCoObject);

  makeCurrent("last", object = CoCoObject);

  str(returnJunctionTree(object = CoCoObject));

  str(returnJunctionTree(split.models = FALSE, object = CoCoObject));
  str(returnJunctionTree(split.generators = FALSE, object = CoCoObject));

  str(returnJunctionTree(omit.generators = TRUE, object = CoCoObject));
  str(returnJunctionTree(omit.generators = TRUE, split.sets = TRUE,
                                          object = CoCoObject));

  str(returnJunctionTree(omit.separators = TRUE, split.models = FALSE, 
                         object = CoCoObject));

  str(returnJunctionTree(omit.separators = TRUE, split.models = FALSE, 
                         eliminate.empty = TRUE, object = CoCoObject)); # ?

  str(returnJunctionTree(omit.separators = TRUE, split.models = FALSE,
                         omit.generator = TRUE, object = CoCoObject));

  str(returnJunctionTree(omit.separators = TRUE, split.models = FALSE,
                         return.flags = TRUE,
                         omit.generator = TRUE, object = CoCoObject));

  str(returnJunctionTree(omit.separators = TRUE, split.models = FALSE,
                         return.flags = TRUE, state.space = TRUE,
                         omit.generator = TRUE, object = CoCoObject));

  endCoCo(CoCoObject);



