### Name: returnSets
### Title: Return a specific subset of the variables
### Aliases: returnSets
### Keywords: methods multivariate

### ** Examples

library(CoCo);
data(Fuchs82);

CoCoObject <- makeCoCo();
enterTable(Fuchs82, object = CoCoObject);

enterModel("mdp,da,am,dg,gs,sa", object = CoCoObject);

returnSets(model = "current", type = "connected.component", set = "dm",
           object = CoCoObject);
returnSets(model = "current", type = "connected.components", 
           object = CoCoObject);

returnSets(model = "current", type = "prime.components", 
           object = CoCoObject); 
returnExpression(type = "prime.components",
           object = CoCoObject);

returnSets(model = "current", type = "junction.tree.components", 
           object = CoCoObject);
returnSets(model = "current", type = "chain.components", 
           object = CoCoObject);
returnSets(model = "current", type = "ancestral.set", 
           object = CoCoObject);
returnSets(model = "current", type = "shortests.paths", u = "s", v = "p", 
           object = CoCoObject);
returnSets(model = "current", type = "cut.sets", u = "s", v = "p", 
           object = CoCoObject);
returnSets(model = "current", type = "cut.sets", set.a = "sg", set.b = "p",
           object = CoCoObject);
returnSets(model = "current", type = "separators", 
           object = CoCoObject);
returnSets(model = "current", type = "d-separators", 
           object = CoCoObject);
returnSets(model = "current", type = "neighbours", set = "dm", 
           object = CoCoObject);
returnSets(model = "current", type = "is.separator", set = "dm", 
           object = CoCoObject);
returnSets(model = "current", type = "is.d-separator", set = "dm", 
           object = CoCoObject);

returnModel(object = CoCoObject);

returnModel(split.generators = TRUE, object = CoCoObject);

returnSets(model = FALSE, type = "neighbours", set = c("d", "m"), 
           object = CoCoObject);

returnSets(model = FALSE, type = "neighbours", set = "dm", 
           object = CoCoObject);

returnSets(model = FALSE, type = "neighbours", set = "[dm]", 
           object = CoCoObject);

returnSets(model = "current", type = "separators", 
           split.gc = TRUE, object = CoCoObject);

returnSets(model = "current", type = "separators", 
           split.generator = TRUE, split.gc = TRUE, object = CoCoObject);

returnSets(model = "current", type = "separators", 
           split.generator = TRUE, object = CoCoObject); # ?

endCoCo(object = CoCoObject);

library(CoCoCg);
data(Rats);
CoCoObject <- makeCoCoCg();
enterDataFrame(Rats, object = CoCoObject);
enterModel("ax,xb,y.", object = CoCoObject);

returnSets(model = "current", type = "connected.component", set = "ax",
           object = CoCoObject);
returnSets(model = "current", type = "connected.components", 
           object = CoCoObject);

returnSets(model = "current", type = "prime.components", 
           object = CoCoObject); 
returnExpression(type = "prime.components",
           object = CoCoObject);

returnSets(model = "current", type = "junction.tree.components", 
           object = CoCoObject);
returnSets(model = "current", type = "chain.components", 
           object = CoCoObject);
returnSets(model = "current", type = "ancestral.set", 
           object = CoCoObject);

returnSets(model = "current", type = "shortests.paths", u = "a", v = "b", 
           object = CoCoObject);
returnSets(model = "current", type = "cut.sets", u = "a", v = "b", 
           object = CoCoObject);
returnSets(model = "current", type = "cut.sets", set.a = "a", set.b = "b",
           object = CoCoObject);

returnSets(model = "current", type = "separators", 
           object = CoCoObject); # ?
returnSets(model = "current", type = "d-separators", 
           object = CoCoObject);
returnSets(model = "current", type = "neighbours", set = "x", 
           object = CoCoObject);
returnSets(model = "current", type = "is.separator", set = "x", 
           object = CoCoObject);
returnSets(model = "current", type = "is.d-separator", set = "x", 
           object = CoCoObject);

returnModel(object = CoCoObject);

returnModel(split.generators = TRUE, object = CoCoObject);

returnSets(model = FALSE, type = "neighbours", set = c("x", "b"), 
           object = CoCoObject);

returnSets(model = FALSE, type = "neighbours", set = "x", 
           object = CoCoObject);

returnSets(model = FALSE, type = "neighbours", set = "[x]", 
           object = CoCoObject);

returnSets(model = "current", type = "separators", 
           split.gc = TRUE, object = CoCoObject);

returnSets(model = "current", type = "separators", 
           split.generator = TRUE, split.gc = TRUE, object = CoCoObject);

returnSets(model = "current", type = "separators", 
           split.generator = TRUE, object = CoCoObject); # ?

returnSets(model = "current", type = "separators", 
           split.gc = TRUE, object = CoCoObject); # ?

returnSets(model = "current", type = "separators", 
           split.generator = TRUE, split.gc = TRUE, object = CoCoObject); # ?

returnSets(model = "current", type = "separators", 
           split.generator = TRUE, object = CoCoObject); # ?

endCoCo(object = CoCoObject);



